package J20250718.demo01_innerClass;

/**
 * @author WanJl
 * @version 1.0
 * @title TestNotepad
 * @description
 * @create 2025/7/18
 */
public class TestNotepad {
    public static void main(String[] args) {
        Notepad notepad=new Notepad();
        //当笔记本对象调用使用USB方法的时候，假如只需要传入一个临时的USB设备对象，那么就不需要单独创建一个
        //实现USB接口的实现类，只需要创建USB接口的匿名内部类，然后重写USB接口的抽象方法，就可以了。
        USB tempUsb =new USB(){
            @Override
            public void open() {
                System.out.println("临时的USB设备开启");
            }

            @Override
            public void close() {
                System.out.println("临时的USB设备关闭");
            }
        };
        notepad.useUsb(tempUsb);

    }
}
